COPS

Create campaign

POST
/campaigns

Create a new campaign in your organization. Only name is required; an optional managerUserId must be a staff member (owner/admin/manager) of the org. Optional links is an ordered list of helpful links ({ title, url }, at most 10, http or https only) shown to creators who join. Returns the created campaign.

Authorization

apiKeyAuth
headerx-api-key<token>

API key for authentication. Keys are prefixed with cops_.

Request Body

application/json
  1. body
name*string
Length1 <= length
url?unknown||null
description?unknown|string|null
logo?unknown||null
color?unknown|string|null
startDate?string
Formatdate-time
platforms?array<>
Default[]
managerUserId?unknown||null
active?boolean
Defaulttrue
links?array<>
Itemsitems <= 10

Response Body

Response schema unavailable.

Example Request
curl -X POST 'https://cops.app/api/brand/campaigns' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response200
Empty